#
# spec file for package xfce4-vala
#
# Copyright (c) 2016 SUSE LINUX GmbH, Nuernberg, Germany.
#
# All modifications and additions to the file contributed by third parties
# remain the property of their copyright owners, unless otherwise agreed
# upon. The license for this file, and modifications and additions to the
# file, is the same license as for the pristine package itself (unless the
# license for the pristine package is not an Open Source License, in which
# case the license is the MIT License). An "Open Source License" is a
# license that conforms to the Open Source Definition (Version 1.9)
# published by the Open Source Initiative.

# Please submit bugfixes or comments via http://bugs.opensuse.org/
#


%if 0%{?suse_version} == 1230
%define vala_version 0.18
%endif
%if 0%{?suse_version} == 1310
%define vala_version 0.22
%endif
%if 0%{?suse_version} == 1315
%if 0%{?is_opensuse}
%if 0%{?sle_version} == 120100
# openSUSE Leap 42.1
%define vala_version 0.28
%endif
%if 0%{?sle_version} == 120200
# openSUSE Leap 42.2
%define vala_version 0.32
%endif
%else
# SLE12
%define vala_version 0.22
%endif
%endif
%if 0%{?suse_version} == 1320
%define vala_version 0.26
%endif
%if 0%{?suse_version} > 1320
%define vala_version 0.28
%endif
%define vala_libname libvala-%{vala_version}

Name:           xfce4-vala
Version:        4.10.3
Release:        16.2
Summary:        Vala Bindings to Xfce Libraries
License:        LGPL-2.1+
Group:          Development/Libraries/Other
Url:            http://wiki.xfce.org/vala-bindings
Source:         http://archive.xfce.org/src/bindings/xfce4-vala/4.10/%{name}-%{version}.tar.bz2
Source100:      %{name}-rpmlintrc
BuildRequires:  fdupes
BuildRequires:  vala
BuildRequires:  pkgconfig(%{vala_libname})
BuildRequires:  pkgconfig(exo-1)
BuildRequires:  pkgconfig(libxfce4panel-1.0)
BuildRequires:  pkgconfig(libxfce4ui-1)
BuildRequires:  pkgconfig(libxfce4util-1.0)
BuildRequires:  pkgconfig(libxfconf-0)
Requires:       vala
BuildRoot:      %{_tmppath}/%{name}-%{version}-build
BuildArch:      noarch

%description
This package provides Vala bindings to Xfce Libraries.

%prep
%setup -q

%build
%configure --with-vala-api=%{vala_version}
make %{?_smp_mflags}

%install
%make_install

%fdupes %{buildroot}/usr/share/vala-%{vala_version}

%clean
rm -rf %{buildroot}

%files
%defattr(-,root,root)
%doc AUTHORS COPYING ChangeLog NEWS README TODO
%{_datadir}/pkgconfig/xfce4-vala.pc
%dir %{_datadir}/vala-%{vala_version}
%dir %{_datadir}/vala-%{vala_version}/vapi
%{_datadir}/vala-%{vala_version}/vapi/*.deps
%{_datadir}/vala-%{vala_version}/vapi/*.vapi

%changelog
* Mon Oct 17 2016 dimstar@opensuse.org
- Fix build on Leap 42.2: based on SLE12SP2 with GNOME 3.20 it
  comes with Vala 0.32.x.
* Mon Aug 31 2015 tiwai@suse.de
- Use is_opensuse macro instead for opensuse_bs (boo#940315)
* Tue Aug 11 2015 tiwai@suse.de
- Set the proper vala version for suse_version == 1315 (SLE12 and
  openSUSE Leap)
* Fri Apr  3 2015 zaitor@opensuse.org
- Add support for vala 0.28 in Factory
* Wed Oct  1 2014 zaitor@opensuse.org
- Add support for vala 0.26 in Factory, replacing vala 0.24.
* Sun May 18 2014 gber@opensuse.org
- add support for vala 0.24 in Factory, remove support for 12.2
* Sun Aug 18 2013 gber@opensuse.org
- add support for vala 0.22 in Factory
* Sat Aug 17 2013 gber@opensuse.org
- update to version 4.10.3
  - Make the pkgconfig file noarch
  - Add --with-vala-api option to allow packagers select vala api
    version
- drop now obsolete xfce4-vala-multiple-vala-versions.patch
- remove support for openSUSE 12.1
* Mon Apr 29 2013 gber@opensuse.org
- add support for vala 0.20
* Mon Nov  5 2012 gber@opensuse.org
- remove support for openSUSE 11.4
* Wed Oct 24 2012 gber@opensuse.org
- use most recent vala version available in an openSUSE release
* Tue Oct 23 2012 gber@opensuse.org
- update to version 4.10.2
  - added garcon (package, VAPI, and test program)
  - updated API to Xfce 4.10.0
  - updated package to Vala 0.16
* Mon Oct  8 2012 gber@opensuse.org
- depend on vala-0_12 for >= 12.1
* Wed Apr  4 2012 gber@opensuse.org
- loosen vala version constraints to make package installable
* Fri Mar 30 2012 gber@opensuse.org
- specfile cleanup
- correct dependencies
* Thu Jan 19 2012 gber@opensuse.org
- add support for vala 0.16
* Fri Jul 15 2011 gber@opensuse.org
- allow build against vala 0.14
* Fri May 13 2011 gber@opensuse.org
- update to version 4.8.1
  - update to vala 0.12
- added xfce4-vala-multiple-vala-versions.patch to retain
  compatibility with vala 0.10
* Thu Feb 17 2011 gber@opensuse.org
- update to version 4.8.0
  - dropped Xfconf.get/set_array functions, since tests didn't pass
    and using GLib.Value with Vala changed
* Mon Dec 27 2010 gber@opensuse.org
- corrected build dependencies
- use fdupes
- added rpmlintrc
* Thu Dec 16 2010 gber@opensuse.org
- explictily require vala >= 0.10
* Wed Dec 15 2010 prusnak@opensuse.org
- fix filelist and require vala
* Sun Dec  5 2010 gber@opensuse.org
- updated to version 4.6.99_git20101205
  - compatibility with XFCE 4.8pre1
* Fri Dec  3 2010 gber@opensuse.org
- fixed version number
- fixed build dependencies on exo, vala
* Fri Dec  3 2010 prusnak@opensuse.org
- updated to 4.6.1
  - compatibility with vala 0.10
* Fri Nov 13 2009 prusnak@suse.cz
- created package (version 4.6.0)
